Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 529560 (mingw32-libvorbis) - Review Request: mingw32-libvorbis - MinGW build of the libvorbis Vorbis General Audio Compression Codec library
Summary: Review Request: mingw32-libvorbis - MinGW build of the libvorbis Vorbis Gener...
Keywords:
Status: CLOSED NOTABUG
Alias: mingw32-libvorbis
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: mingw32-libogg
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-18 17:01 UTC by Mihai Limbășan
Modified: 2010-12-17 15:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:25:02 UTC


Attachments (Terms of Use)

Description Mihai Limbășan 2009-10-18 17:01:18 UTC
Spec URL: http://rpms.limbasan.ro/fedora/11/SPECS/mingw32-libvorbis.spec
SRPM URL: http://rpms.limbasan.ro/fedora/11/SRMPS/mingw32-libvorbis-1.2.3-2.fc11.src.rpm
Description: This is a MinGW crosscompiler port of libvorbis.

The spec file was created based on the example at

http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/3d9d4c1db042/example/mingw32-example.spec#l1

and on the main Fedora libogg spec, taking into account the MinGW SIG packaging
guildelines at http://fedoraproject.org/wiki/Packaging/MinGW .

rpmlint output:

[mimock@home syncup]$ rpmlint mingw32-libvorbis-1.2.3-2.fc11.noarch.rpm mingw32-libvorbis-static-1.2.3-2.fc11.noarch.rpm mingw32-libvorbis-1.2.3-2.fc11.src.rpm
mingw32-libvorbis-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libvorbis.a
mingw32-libvorbis-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libvorbisenc.a
mingw32-libvorbis-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libvorbisfile.a
mingw32-libvorbis-static.noarch: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 1 warnings.

which are OK accoring to the packaging guidelines.

Since there is no current mingw32-libvorbis package I decided to go for the latest upstream version, 1.2.3, instead of Fedora's 1.2.0 + patches.

The -m4 patch is Fedora's -m4 patch, corrected to apply cleanly on 1.2.3.

The -acconf patch helps in replacing the ancient config.sub, config.guess, and
libtool shipped by upstream with current versions.

The package depends on mingw32-libogg - see bug #529548 - which is available at the same test repo ( http://rpms.limbasan.ro/fedora/11/i386/ ). It builds cleanly in mock (minus make check which would BuildRequire Wine due to the nature of the package.) If there's any way to get Koji to perform a scratch build using third party packages, I couldn't figure it out, so there's no Koji link for the moment.

Comment 1 Richard W.M. Jones 2009-10-19 12:20:27 UTC
Looks sane.  Same comment about packaging the static library.

If you want to get these reviewed, you'll have to ask someone
nicely on the fedora-mingw / fedora-devel-list mailing lists,
and probably swap a review with someone.

Comment 2 Mihai Limbășan 2009-10-19 13:07:14 UTC
Thanks, will do.

Comment 3 Mihai Limbășan 2009-10-19 18:59:31 UTC
Improved package, bumped revision. New URLs:

Spec URL: http://rpms.limbasan.ro/fedora/11/SPECS/mingw32-libvorbis.spec
SRPM URL: http://rpms.limbasan.ro/fedora/11/SRPMS/mingw32-libvorbis-1.2.3-3.fc11.src.rpm

Changes as follows:

- Removed -static package.
- aclocal and pkgconfig directories under _mingw32_libdir are
  no longer installed, mingw32-filesystem already provides them.
- Removed redundant BuildRequire mingw32-binutils which is
  already Required by mingw32-gcc.
- Moved checks to the proper build stage.
- Cosmetic cleanup.

rpmlint says:

[mimock@home mingw32-libvorbis]$ rpmlint -v *rpm
mingw32-libvorbis.noarch: I: checking
mingw32-libvorbis.src: I: checking
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Again no Koji link due to dependency on mingw32-libogg (bug #529548). Tests complete successfully, builds cleanly in mock.

Comment 4 Jason Tibbitts 2010-11-05 13:18:16 UTC
Your package submissions still build and they seem to me to be clean, but before putting in any review work I'd like to ask, since it's been over a year since anyone has looked at them, if you're still interested in submitting them.

Please let me know; if so I'll try to move forward with reviews and sponsorship.


Note You need to log in before you can comment on or make changes to this bug.